GET /nodes/{node_id}/addons/{provider}/folders/

osf.io

Summary: List all addon folders
Operation ID: nodes_addons_folders_list
Auth: unknown
Description

A paginated list of folders retrieved from the associated third-party (provider) service. #### Permissions Folders are visible only to the user that authorized the addon. #### Returns Returns a JSON object containing `data` and `links` keys. The `data` key contains an array of addon folder objects. Each resource in the array is a separate addon folder object and contains the full representation of the addon folder, meaning additional requests to a addon folder's detail view are not necessary. The `links` key contains a dictionary of links that can be used for [pagination](#tag/Pagination).

Parameters (2)

node_id (string, path, required)

The unique identifier of the node.

provider (string, path, required)

The unique identifier of the provider

No probe data for this endpoint yet.